Bug 1163087 (CVE-2014-7841) - CVE-2014-7841 kernel: net: sctp: NULL pointer dereference in af->from_addr_param on malformed packet
Summary: CVE-2014-7841 kernel: net: sctp: NULL pointer dereference in af->from_addr_pa...
Status: CLOSED ERRATA
Alias: CVE-2014-7841
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20141110,repo...
Keywords: Security
Depends On: 1153980 1154002 1163090 1163092 1163093 1163094 1163095 1163097
Blocks: 1163098
TreeView+ depends on / blocked
 
Reported: 2014-11-12 11:08 UTC by Petr Matousek
Modified: 2019-06-11 11:13 UTC (History)
24 users (show)

(edit)
A flaw was found in the way the Linux kernel's SCTP implementation validated INIT chunks when performing Address Configuration Change (ASCONF). A remote attacker could use this flaw to crash the system by sending a specially crafted SCTP packet to trigger a NULL pointer dereference on the system.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:36:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0087 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-01-28 00:44:29 UTC
Red Hat Product Errata RHSA-2015:0102 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-01-29 00:02:51 UTC
Red Hat Product Errata RHSA-2015:0284 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-03 17:49:58 UTC
Red Hat Product Errata RHSA-2015:0285 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-03 17:49:55 UTC
Red Hat Product Errata RHSA-2015:0695 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-17 18:39:19 UTC

Description Petr Matousek 2014-11-12 11:08:12 UTC
An SCTP server doing ASCONF will panic on malformed INIT ping-of-death in
the form of:

 ------------ INIT[PARAM: SET_PRIMARY_IP] ------------>

A remote attacker could use this flaw to crash the system by sending a
maliciously prepared SCTP packet in order to trigger a NULL pointer
dereference on the server.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=e40607cbe270a9e8360907cb1e62ddf0736e4864

Acknowledgements:

This issue was discovered by Liu Wei of Red Hat.

Comment 1 Petr Matousek 2014-11-12 11:19:36 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5.

This issue does affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates for the respective releases may address this issue.

Comment 3 Petr Matousek 2014-11-12 11:21:33 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1163095]

Comment 6 Fedora Update System 2014-11-18 12:17:43 UTC
kernel-3.17.3-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-11-20 23:04:10 UTC
kernel-3.17.3-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-05 07:35:01 UTC
kernel-3.14.27-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2015-01-27 19:46:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0087 https://rhn.redhat.com/errata/RHSA-2015-0087.html

Comment 10 errata-xmlrpc 2015-01-28 19:10:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0102 https://rhn.redhat.com/errata/RHSA-2015-0102.html

Comment 11 errata-xmlrpc 2015-03-03 12:50:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2015:0285 https://rhn.redhat.com/errata/RHSA-2015-0285.html

Comment 12 errata-xmlrpc 2015-03-03 12:50:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0284 https://rhn.redhat.com/errata/RHSA-2015-0284.html

Comment 14 errata-xmlrpc 2015-03-17 14:40:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2015:0695 https://rhn.redhat.com/errata/RHSA-2015-0695.html


Note You need to log in before you can comment on or make changes to this bug.